package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class Eselon
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "Eselon_M")
public class EselonVO extends BaseMasterVO {
	@Caption(value = "Eselon")
	private String eselon;

	public void setEselon(String eselon) {
		this.eselon = eselon;
	}

	@Column(name = "Eselon", nullable = false, length = 20)
	public String getEselon() {
		return this.eselon;
	}

	@Caption(value = "Kode Eselon")
	private Byte kdEselon;

	public void setKdEselon(Byte kdEselon) {
		this.kdEselon = kdEselon;
	}

	@Column(name = "KdEselon", nullable = false)
	public Byte getKdEselon() {
		return this.kdEselon;
	}

	@Caption(value = "QEselon")
	private Byte qEselon;

	public void setqEselon(Byte qEselon) {
		this.qEselon = qEselon;
	}

	@Column(name = "QEselon", nullable = false)
	public Byte getqEselon() {
		return this.qEselon;
	}

}
